<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
  PROPRIETARY/CONFIDENTIAL/ Use of this product is subject
  to license terms. Copyright 2001 Sun Microsystems Inc.
  Some preexisting portions Copyright 2001 Netscape
  Communications Corp. All rights reserved.
-->

<!DOCTYPE ServicesConfiguration
    PUBLIC "=//iPlanet//Service Management Services (SMS) 1.0 DTD//EN"
    "file:%IDSAME_BASEDIR%/SUNWam/dtd/sms.dtd">

<ServicesConfiguration>
	<Service name="srapGatewayService" version="1.0">


		<Schema serviceHierarchy="/srap.configuration/srapGatewayService"
						propertiesViewBeanURL="%DYNAMIC_URI%/gwadmin/GatewaySelect"
						i18nFileName="srapGatewayAdminConsole"
						i18nKey="sunPortalGatewayServiceDescription">
			<Global>
				<SubSchema name="Gateway-Profiles">
					<SubSchema name="One-Instance-Profile" inheritance="multiple">

						<AttributeSchema name="sunPortalGatewayEProxyEnableHTTPS"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g01">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyHTTPSPort"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g02">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyEnableHTTP"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g03">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyHTTPPort"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g04">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayUseHTTPProxy"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g05">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayRewriterProxyHost"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g06">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyEnable"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g07">
						</AttributeSchema>
					    <AttributeSchema name="sunPortalGatewayPProxyEnable"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g071">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayUseNetletProxy"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g08">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayNetletProxyHost"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g09">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayUseProxy"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g10">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayUseWebProxyURL"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g11">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayDontUseWebProxyURL"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g12">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayDomainsAndSubdomains"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g13">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayProxyPasswdList"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g15">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayCookieManagement"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g17">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayDoBasicAuthentication"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g18">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyDoKeepAlive"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g19">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyKeepAliveMaxConnection"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g20">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyKeepAliveConnectionTimeout"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g21">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyKeepAliveConnectionGraceTimeout"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g22">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayForwardCookieURL"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g23">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayNonAuthenticatedURLPath"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g24">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyConnectionQueue"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g25">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayRProxyPortTimeout"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g26">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayMaxThreadPoolSize"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g27">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayBlockedSocketTimeout"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g28">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayCertificateEnabledList"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g29">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayAllow40BitConnections"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g30">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnableSSLv2"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g31">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnableIndividualCipherSelectionMode"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g32">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnabledSSL2CipherList"
									type="multiple_choice"
									syntax="string"
									any="display"
									i18nKey="g33">
							<ChoiceValues>
                                                                <ChoiceValue>SSL2_DES_192_EDE3_CBC_WITH_MD5</ChoiceValue>
								<ChoiceValue>SSL2_RC2_128_CBC_WITH_MD5</ChoiceValue>
								<ChoiceValue>SSL2_RC4_128_WITH_MD5</ChoiceValue>
								<ChoiceValue>SSL2_RC2_128_CBC_EXPORT40_WITH_MD5</ChoiceValue>
								<ChoiceValue>SSL2_RC4_128_EXPORT40_WITH_MD5</ChoiceValue>
								<ChoiceValue>SSL2_DES_64_CBC_WITH_MD5</ChoiceValue>
							</ChoiceValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnabledSSL3CipherList"
									type="multiple_choice"
									syntax="string"
									any="display"
									i18nKey="g34">
							<ChoiceValues>
								<ChoiceValue>SSL3_RSA_WITH_3DES_EDE_CBC_SHA</ChoiceValue>
								<ChoiceValue>SSL3_RSA_WITH_RC4_128_MD5</ChoiceValue>
								<ChoiceValue>SSL3_RSA_WITH_RC4_128_SHA</ChoiceValue>
								<ChoiceValue>SSL3_RSA_EXPORT_WITH_RC4_40_MD5</ChoiceValue>
								<ChoiceValue>SSL3_RSA_EXPORT_WITH_RC2_CBC_40_MD5</ChoiceValue>
								<ChoiceValue>SSL3_RSA_WITH_DES_CBC_SHA</ChoiceValue>
								<ChoiceValue>SSL3_RSA_WITH_NULL_MD5</ChoiceValue>
                                                                <ChoiceValue>SSL_RSA_FIPS_WITH_3DES_EDE_CBC_SHA</ChoiceValue>
                                                                <ChoiceValue>SSL_RSA_FIPS_WITH_DES_CBC_SHA</ChoiceValue>
                                                                <ChoiceValue>SSL3_FORTEZZA_DMS_WITH_RC4_128_SHA</ChoiceValue>
                                                                <ChoiceValue>SSL3_FORTEZZA_DMS_WITH_FORTEZZA_CBC_SHA</ChoiceValue>
                                                                <ChoiceValue>SSL3_FORTEZZA_DMS_WITH_NULL_SHA</ChoiceValue>
							</ChoiceValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnabledTLSCipherList"
									type="multiple_choice"
									syntax="string"
									any="display"
									i18nKey="g35">
							<ChoiceValues>
								<ChoiceValue>TLS_RSA_EXPORT1024_WITH_DES_CBC_SHA</ChoiceValue>
								<ChoiceValue>TLS_RSA_EXPORT1024_WITH_RC4_56_SHA</ChoiceValue>
                                                        </ChoiceValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayTranslateAll"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g36">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayDomainsAndRulesets"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g37">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayMIMEMap"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g38">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>


						<AttributeSchema name="sunPortalGatewayDontRewriteURLs"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g39">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayDefaultDomainAndSubdomains"
									type="single"
									syntax="string"
									any="display"
									i18nKey="g40">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayPortalServerList"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g41">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayServerRetryInterval"
									type="single"
									syntax="number"
									any="display"
									i18nKey="g42">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayLoggingEnabled"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g43">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyPerSessionLogging"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g44">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEProxyDetailedPerSessionLogging"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g45">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayNetletLoggingEnabled"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g46">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnableSSLv3"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g47">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayDisableNull"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g48">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayTrustedSSLDomainList"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g49">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnableMIMEGuessing"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g50">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayParserToURIMap"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g51">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayEnableObfuscation"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g52">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayObfuscationSecretKey"
									type="single"
									syntax="string"
									any="display"
									i18nKey="g53">
						</AttributeSchema>

					    	<AttributeSchema name="sunPortalGatewayNotToObscureURIList"
									type="list"
									syntax="string"
									any="display"
									i18nKey="g54">
							<DefaultValues>
								<Value></Value>
							</DefaultValues>
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayUseConsistentProtocolForGateway"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g55">
						</AttributeSchema>
						<AttributeSchema name="sunPortalGatewayEnableCookieManager"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g56">
						</AttributeSchema>
						<AttributeSchema name="sunPortalGatewayMapForceURLSession"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g57">
						</AttributeSchema>


						<AttributeSchema name="sunPortalGatewayPACFileEnabled"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g58">
						</AttributeSchema>

						<AttributeSchema name="sunPortalGatewayPACFileLocation"
									type="single"
									syntax="string"
									any="display"
									i18nKey="g59">
                            <DefaultValues>
                                <Value></Value>
                            </DefaultValues>
						</AttributeSchema>
						<AttributeSchema name="sunPortalGatewayMarkCookiesSecure"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g60">
						</AttributeSchema>
						<AttributeSchema name="sunPortalGatewayNetletProxyTunnel"
									type="single"
									syntax="boolean"
									any="display"
									i18nKey="g61">
						</AttributeSchema>
					</SubSchema>
				</SubSchema>
			</Global>
		</Schema>

		<Configuration>
			<GlobalConfiguration>
				<SubConfiguration name="Gateway-Profiles" id="Gateway-Profiles">
				</SubConfiguration>
			</GlobalConfiguration>
		</Configuration>

	</Service>
</ServicesConfiguration>
